import React, { Fragment } from 'react'

import {
  Row,
  RowItem,
  LabelHeader,
  LabelTitle,
  DefaultText,
  LinkText,
} from '../UIComponents/FormItems'
import { getUserTitle } from '../utils'

const AccountDetailsCard = ({
  user: { firstName = '', lastName = '', affiliation = '-', title = '' },
  journal,
  setEditMode,
}) => (
  <Fragment>
    <Row noMargin>
      <RowItem>
        <LabelHeader> Account Details</LabelHeader>
      </RowItem>
    </Row>
    <Row noMargin>
      <RowItem>
        <LabelTitle> First Name </LabelTitle>
        <LabelTitle> Last Name </LabelTitle>
      </RowItem>
    </Row>
    <Row noMargin>
      <RowItem>
        <DefaultText>{firstName}</DefaultText>
        <DefaultText>{lastName}</DefaultText>
      </RowItem>
    </Row>
    <Row noMargin>
      <RowItem>
        <LabelTitle>Affiliation</LabelTitle>
        <LabelTitle>Title</LabelTitle>
      </RowItem>
    </Row>
    <Row noMargin>
      <RowItem>
        <DefaultText>{affiliation}</DefaultText>
        <DefaultText>{getUserTitle(journal, title)}</DefaultText>
      </RowItem>
    </Row>
    <Row noMargin>
      <RowItem>
        <LinkText onClick={() => setEditMode(true)}>Edit details</LinkText>
        <LinkText>Change Password</LinkText>
      </RowItem>
    </Row>
  </Fragment>
)

export default AccountDetailsCard
