import React from 'react'
import styled from 'styled-components'
import { Button, th } from '@pubsweet/ui'

import EditUserForm from '../Admin/EditUserForm'

const AccountDetailsEdit = ({ journal, user, setEditMode }) => (
  <Root>
    <EditUserForm journal={journal} title="Edit account details" user={user} />
    <Row>
      <Button onClick={() => setEditMode(false)}>Cancel</Button>
      <Button primary type="submit">
        Save
      </Button>
    </Row>
  </Root>
)

export default AccountDetailsEdit

// #region styles
const Root = styled.div`
  background-color: ${th('colorBackground')};
  padding: ${th('gridUnit')};
  border: ${th('borderDefault')};
`

const Row = styled.div`
  align-items: flex-start;
  display: flex;
  flex-direction: row;
  justify-content: ${({ justify }) => justify || 'space-evenly'};
`
// #endregion
